## UDisksProvider UDisksProvider — Abstract base class for all data providers |

## Synopsis

                        UDisksProvider;
    struct              UDisksProviderClass;
    void                udisks_provider_start               (UDisksProvider *provider);
    UDisksDaemon *      udisks_provider_get_daemon          (UDisksProvider *provider);

## Object Hierarchy

      GObject
       +----UDisksProvider
             +----UDisksLinuxProvider

## Properties

      "daemon"                   UDisksDaemon*         : Read / Write / Construct Only

## Description

Abstract base class for all data providers.

## Details

### UDisksProvider

    typedef struct _UDisksProvider UDisksProvider;

The UDisksProvider structure contains only private data and should only be accessed using the provided API.

### struct UDisksProviderClass

    struct UDisksProviderClass {
      GObjectClass parent_class;

      void (*start) (UDisksProvider *provider);
    };

Class structure for UDisksProvider.

GObjectClass `parent_class`; | The parent class.
`start` () | Virtual function for `udisks_provider_start()`. The default implementation does nothing.

### udisks_provider_start ()

    void                udisks_provider_start               (UDisksProvider *provider);

Starts the provider.

`provider` : | A UDisksProvider.

### udisks_provider_get_daemon ()

    UDisksDaemon *      udisks_provider_get_daemon          (UDisksProvider *provider);

Gets the daemon used by `provider`.

`provider` : | A UDisksProvider.
Returns : | A UDisksDaemon. Do not free, the object is owned by `provider`.

## Property Details

### The `"daemon"` property

      "daemon"                   UDisksDaemon*         : Read / Write / Construct Only

The UDisksDaemon the provider is for.